/*******************************************************************************
 * Copyright 2010 Cees De Groot, Alex Boisvert, Jan Kotek
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/

package jdbm.recman;

import junit.framework.TestSuite;

/**
 * This class contains all Unit tests for {@link FreeLogicalRowIdPageManager}.
 */
public class TestFreeLogicalRowIdPageManager extends TestCaseWithTestFile {


	/**
	 * Test constructor
	 */
	public void testCtor() throws Exception {
		RecordFile f = newRecordFile();
		PageManager pm = new PageManager(f);
		FreeLogicalRowIdPageManager freeMgr = new FreeLogicalRowIdPageManager(
				f, pm);

		pm.close();
		f.close();
	}

	/**
	 * Test basics
	 */
	public void testBasics() throws Exception {
		RecordFile f = newRecordFile();
		PageManager pm = new PageManager(f);
		FreeLogicalRowIdPageManager freeMgr = new FreeLogicalRowIdPageManager(
				f, pm);

		// allocate a rowid - should fail on an empty file
		long loc = freeMgr.get();
		assertTrue("loc is not null?", loc == 0);

		pm.close();
		f.close();
	}

	/**
	 * Runs all tests in this class
	 */
	public static void main(String[] args) {
		junit.textui.TestRunner.run(new TestSuite(
				TestFreeLogicalRowIdPageManager.class));
	}
}
